org.keycloak.subsystem.extension

## Class CredentialReadWriteAttributeHandler

- java.lang.Object
- - org.jboss.as.controller.AbstractWriteAttributeHandler<KeycloakAdapterConfigService>
  - - org.keycloak.subsystem.extension.CredentialReadWriteAttributeHandler

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public class CredentialReadWriteAttributeHandler
      extends org.jboss.as.controller.AbstractWriteAttributeHandler<KeycloakAdapterConfigService>

  Update a credential value.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2014 Red Hat Inc.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.as.controller.AbstractWriteAttributeHandler

      `org.jboss.as.controller.AbstractWriteAttributeHandler.HandbackHolder<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialReadWriteAttributeHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `applyUpdateToRuntime(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, String attributeName, org.jboss.dmr.ModelNode resolvedValue, org.jboss.dmr.ModelNode currentValue, org.jboss.as.controller.AbstractWriteAttributeHandler.HandbackHolder<KeycloakAdapterConfigService> hh)`
    `protected void` | `revertUpdateToRuntime(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, String attributeName, org.jboss.dmr.ModelNode valueToRestore, org.jboss.dmr.ModelNode valueToRevert, KeycloakAdapterConfigService ckService)`

    - ### Methods inherited from class org.jboss.as.controller.AbstractWriteAttributeHandler

      `execute, finishModelStage, getAttributeDefinition, requiresRuntime, validateResolvedValue, validateUnresolvedValue, validateUpdatedModel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialReadWriteAttributeHandler

          public CredentialReadWriteAttributeHandler()

  - ### Method Detail

    - #### applyUpdateToRuntime

          protected boolean applyUpdateToRuntime(org.jboss.as.controller.OperationContext context,
                                     org.jboss.dmr.ModelNode operation,
                                     String attributeName,
                                     org.jboss.dmr.ModelNode resolvedValue,
                                     org.jboss.dmr.ModelNode currentValue,
                                     org.jboss.as.controller.AbstractWriteAttributeHandler.HandbackHolder<KeycloakAdapterConfigService> hh)
                                          throws org.jboss.as.controller.OperationFailedException

      Specified by:
        `applyUpdateToRuntime` in class `org.jboss.as.controller.AbstractWriteAttributeHandler<KeycloakAdapterConfigService>`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### revertUpdateToRuntime

          protected void revertUpdateToRuntime(org.jboss.as.controller.OperationContext context,
                                   org.jboss.dmr.ModelNode operation,
                                   String attributeName,
                                   org.jboss.dmr.ModelNode valueToRestore,
                                   org.jboss.dmr.ModelNode valueToRevert,
                                   KeycloakAdapterConfigService ckService)
                                        throws org.jboss.as.controller.OperationFailedException

      Specified by:
        `revertUpdateToRuntime` in class `org.jboss.as.controller.AbstractWriteAttributeHandler<KeycloakAdapterConfigService>`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2015. All Rights Reserved.